Name:           python-watttime
Version:        1.3.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        An officially maintained python client for WattTime's API providing access to electricity grid emissions data.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://pypi.org/project/watttime/
Source:         %{pypi_source watttime}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'watttime' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-watttime
Summary:        %{summary}

%description -n python3-watttime %_description


%prep
%autosetup -p1 -n watttime-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-watttime -f %{pyproject_files}


%changelog
%autochangelog